Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.connector
Class ResourceWrapperException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  com.bea.connector.ResourceWrapperException

All Implemented Interfaces:
  Serializable

    public class ResourceWrapperException

extends javax.resource.ResourceException

Wrapper exception class to handle printing usable stack traces from ResourceException (since the Sun implementation doesn't print nested exceptions' stack traces).

See Also:
  Serialized Form

Constructor Summary
`ResourceWrapperException(javax.resource.ResourceException e)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceWrapperException

    public ResourceWrapperException(javax.resource.ResourceException e)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD